### Method

# Gimp Image get_name

#### Declaration [src]

    gchar*
    gimp_image_get_name (
      GimpImage* image
    )

#### Description [src]

Returns the specified image’s name.

This procedure returns the image’s name. If the image has a filename or an URI, then the returned name contains the filename’s or URI’s base name (the last component of the path). Otherwise it is the translated string "Untitled". The returned name is formatted like the image name in the image window title, it may contain ‘[]’, ‘(imported)’ etc. and should only be used to label user interface elements. Never use it to construct filenames.

#### Return value

Type: `gchar*`

The name. The returned value must be freed with g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.